IO::Pager::Page(3)

NAME
IO::Pager::Page - use IO::Pager to emulate IO::Page, pipe STDOUT to a pager if STDOUT is a TTY

SYNOPSIS
Pipes STDOUT to a pager if STDOUT is a TTY

DESCRIPTION
IO::Pager is designed to programmaticly decide whether or not to point the STDOUT file handle into a pipe to program specified in $ENV{PAGER} or one of a standard list of pagers.

USAGE
  BEGIN{
    use IO::Pager::Page;
    #use I::P::P first, just in case another module sends output to STDOUT
  }
  print<<HEREDOC;
  ...
  A bunch of text later
  HEREDOC

If you wish to forgo the potential for a Broken Pipe foible resulting from the user exiting the pager prematurely load IO::Pager::Page like so:

  use IO::Pager::Page hush=>1;

SEE ALSO
IO::Page, IO::Pager, IO::Pager::Unbuffered, IO::Pager::Buffered

AUTHOR
Jerrad Pierce <jpierce@cpan.org>

LICENSE

•   Thou shalt not claim ownership of unmodified materials.

•   Thou shalt not claim whole ownership of modified materials.

•   Thou shalt grant the indemnity of the provider of materials.

•   Thou shalt use and dispense freely without other restrictions.